/**
 * 
 */
package de.test.framework;



/**
 * Rckgabewert der Webservice-Aurfufe mit Fehlermeldung
 */
public class AbstractWSResult
{   
   private ServerExceptionSO m_Error;
   
   /**
    * Konstruktor
    *
    */
   public AbstractWSResult()
   {
      super();
   }

   /**
    * Konstruktor
    *
    * @param p_Error Fehlermeldung
    */
   public AbstractWSResult( ServerExceptionSO p_Error )
   {
      m_Error = p_Error;
   }

   /**
    * Liefert Fehlermeldung.
    * 
    * @return Fehlermeldung.
    */
   public ServerExceptionSO getError()
   {
      return m_Error;
   }

   /**
    * Setzt Fehlermeldung.
    * 
    * @param p_Error Wert fr die Fehlermeldung.
    */
   public void setError( ServerExceptionSO p_Error )
   {
      m_Error = p_Error;
   }
}
