
package de.test.webservices;


import javax.jws.WebMethod;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;

import de.test.framework.ExternalWSResult;


/**
 * Webservicefacade fr System
 */
@WebService( name = "GlassfishWS", targetNamespace = "urn:de.test.webservices", serviceName = "GlassfishService" )
@SOAPBinding( style = SOAPBinding.Style.DOCUMENT, use = SOAPBinding.Use.LITERAL, parameterStyle = SOAPBinding.ParameterStyle.WRAPPED )
public interface GlassfishWSIF
{
   @WebMethod( operationName = "testExternalWSResult" )
   @WebResult( name = "TestExternalWSResult", targetNamespace = "urn:de.test.webservices" )
   public ExternalWSResult testExternalWSResult();

   @WebMethod( operationName = "testInternalWSResult" )
   @WebResult( name = "TestInternalWSResult", targetNamespace = "urn:de.test.webservices" )
   public InternalWSResult testInternalWSResult();

   //   @WebMethod( operationName = "testExtendedWSResult" )
   //   @WebResult( name = "TestExtendedWSResult", targetNamespace = "urn:de.test.webservices" )
   //   public ExtendedWSResult testExtendedWSResult();

   //   @WebMethod( operationName = "testCompoundWSResult" )
   //   @WebResult( name = "TestCompoundWSResult", targetNamespace = "urn:de.test.webservices" )
   //   public CompoundWSResult testCompoundWSResult();

}
